Changeset 2390 for trunk


Ignore:
Timestamp:
Mar 19, 2013, 9:30:21 PM (9 years ago)
Author:
achernya
Message:
Update to rubygems 1.8.25-4

Due to some problems with the Fedora buildsystem, disable the checks
section. See RHBZ #923499 for more details.
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/server/fedora/specs/rubygems.spec.patch

    r2378 r2390  
    1 --- rubygems.spec.~1~   2012-04-28 04:01:50.000000000 -0400
    2 +++ rubygems.spec       2012-05-22 23:47:16.001145101 -0400
    3 @@ -18,7 +18,7 @@
     1--- rubygems.spec.orig  2013-03-19 19:40:59.590767463 -0400
     2+++ rubygems.spec       2013-03-19 21:13:12.458970873 -0400
     3@@ -15,7 +15,7 @@
     4 
     5 # Executing testsuite (enabling %%check section) will cause dependency loop.
     6 # To avoid dependency loop when necessary, please set the following value to 0
     7-%global        enable_check    1
     8+%global        enable_check    0
     9 
     10 # It cannot be relied on %%{_libdir} for noarch packages. Query Ruby for
     11 # the right value.
     12@@ -26,7 +26,7 @@
    413 Summary:       The Ruby standard for packaging ruby libraries
    514 Name:          rubygems
    615 Version:       1.8.25
    7 -Release:       1%{?dist}
    8 +Release:       1%{?dist}.scripts.%{scriptsversion}
     16-Release:       4%{?dist}
     17+Release:       4%{?dist}.scripts.%{scriptsversion}
    918 Group:         Development/Libraries
    1019 License:       Ruby or MIT
    1120 
    12 @@ -52,6 +52,8 @@
     21@@ -60,12 +60,15 @@
    1322 # https://github.com/rubygems/rubygems/issues/210
    1423 Patch109:      rubygems-1.8.11-binary-extensions.patch
     
    1928 Requires:      ruby(abi) = 1.9.1
    2029 Requires:      rubygem(rdoc) >= 3.9.4
    21 @@ -97,6 +99,8 @@
     30 Requires:      rubygem(io-console) >= 0.3
     31 Requires:      ca-certificates
     32 BuildRequires: ruby(abi) = 1.9.1
     33+BuildRequires: ruby
     34 %if %{enable_check}
     35 # For mkmf.rb
     36 BuildRequires: ruby-devel
     37@@ -105,6 +108,8 @@
    2238 %patch105 -p1 -b .uninst
    2339 %patch109 -p1 -b .bindir
Note: See TracChangeset for help on using the changeset viewer.